#!/bin/bash
case $1 in
  start)
    if [ -r pid ] &&  ps -p `cat pid` > /dev/null ;
    then 
    	echo "Already started."
    else
        nohup sh StreamClientLauncher.sh >> stream-client.log 2>&1 & echo $!>pid
        if [ -r pid ] && ps -p `cat pid` > /dev/null 
        then 
    	    echo "Started."
        fi
    fi;;
  stop)
    if [ -r pid ] && ps -p `cat pid` > /dev/null
    then 
    	kill `cat pid`
    	rm pid
    	echo "Kill signal sent."
	else
	    echo "Stream Client process not found."
	fi;;
  *)
    echo "usage: $0 {start|stop}" ;;
esac
